# Uses of Class
org.apache.sysds.runtime.instructions.spark.UnarySPInstruction

Packages that use UnarySPInstruction
Package
Description
org.apache.sysds.resource.cost
org.apache.sysds.runtime.instructions.fed
org.apache.sysds.runtime.instructions.spark

## Uses of UnarySPInstruction in org.apache.sysds.resource.cost

Methods in org.apache.sysds.resource.cost with parameters of type UnarySPInstruction
Modifier and Type
Method
Description
`static double`
SparkCostUtils.`getAggUnaryInstTime(UnarySPInstruction inst, VarStats input, VarStats output, IOCostUtils.IOMetrics executorMetrics)`
`static double`
SparkCostUtils.`getReorgInstTime(UnarySPInstruction inst, VarStats input, VarStats output, IOCostUtils.IOMetrics executorMetrics)`
`static double`
SparkCostUtils.`getTSMMInstTime(UnarySPInstruction inst, VarStats input, VarStats output, IOCostUtils.IOMetrics driverMetrics, IOCostUtils.IOMetrics executorMetrics)`

## Uses of UnarySPInstruction in org.apache.sysds.runtime.instructions.fed

Methods in org.apache.sysds.runtime.instructions.fed with parameters of type UnarySPInstruction
Modifier and Type
Method
Description
`static UnaryFEDInstruction`
UnaryFEDInstruction.`parseInstruction(UnarySPInstruction inst, ExecutionContext ec)`

## Uses of UnarySPInstruction in org.apache.sysds.runtime.instructions.spark

Subclasses of UnarySPInstruction in org.apache.sysds.runtime.instructions.spark
Modifier and Type
Class
Description
`class`
`AggregateUnarySketchSPInstruction`
`class`
`AggregateUnarySPInstruction`
`class`
`BinUaggChainSPInstruction`
Instruction that performs res = X / rowsum(x)
`class`
`CastSPInstruction`
`class`
`CentralMomentSPInstruction`
`class`
`CheckpointSPInstruction`
`class`
`CompressionSPInstruction`
`class`
`CSVReblockSPInstruction`
`class`
`CumulativeAggregateSPInstruction`
`class`
`DeCompressionSPInstruction`
`class`
`DnnSPInstruction`
`class`
`FrameIndexingSPInstruction`
This class implements the frame indexing functionality inside Spark.
`class`
`IndexingSPInstruction`
This class implements the matrix indexing functionality inside Spark.
`class`
`LIBSVMReblockSPInstruction`
`class`
`MatrixIndexingSPInstruction`
This class implements the matrix indexing functionality inside CP.
`class`
`MatrixReshapeSPInstruction`
`class`
`QuantileSortSPInstruction`
This class supports two variants of sort operation on a 1-dimensional input matrix.
`class`
`RandSPInstruction`
`class`
`ReblockSPInstruction`
`class`
`ReorgSPInstruction`
`class`
`Tsmm2SPInstruction`
`class`
`TsmmSPInstruction`
`class`
`UnaryFrameSPInstruction`
`class`
`UnaryMatrixSPInstruction`
Methods in org.apache.sysds.runtime.instructions.spark that return UnarySPInstruction
Modifier and Type
Method
Description
`static UnarySPInstruction`
UnaryMatrixSPInstruction.`parseInstruction(String str)`